import{s as Le,n as we,o as Fe}from"../chunks/scheduler.6062bdaf.js";import{S as Ae,i as qe,g as s,s as a,r as f,A as De,h as l,f as t,c as r,j as T,u as g,x as C,k as N,y as n,a as m,v as h,d as v,t as x,w as _}from"../chunks/index.4bca734e.js";import{D as H}from"../chunks/Docstring.ed07512f.js";import{H as ve}from"../chunks/Heading.723dceba.js";function Ee(xe){let c,B,G,Y,O,X,L,Z,i,w,re,P,_e="Base class for TFLite exportable model describing metadata on how to export the model through the TFLite format.",se,k,be="Class attributes:",le,I,$e=`<li><p>NORMALIZED_CONFIG_CLASS (<code>Type</code>) — A class derived from <a href="/docs/optimum/v1.19.0/en/utils/normalized_config#optimum.utils.NormalizedConfig">NormalizedConfig</a> specifying how to
normalize the model config.</p></li> <li><p>DUMMY_INPUT_GENERATOR_CLASSES (<code>Tuple[Type]</code>) — A tuple of classes derived from
<a href="/docs/optimum/v1.19.0/en/utils/dummy_input_generators#optimum.utils.DummyInputGenerator">DummyInputGenerator</a> specifying how to create dummy inputs.</p></li> <li><p>ATOL_FOR_VALIDATION (<code>Union[float, Dict[str, float]]</code>) — A float or a dictionary mapping task names to float,
where the float values represent the absolute tolerance value to use during model conversion validation.</p></li> <li><p>MANDATORY_AXES (<code>Tuple[Union[str, Tuple[Union[str, Tuple[str]]]]]</code>) — A tuple where each element is either:</p> <ul><li>An axis  name, for instance “batch_size” or “sequence_length”, that indicates that the axis dimension is
needed to export the model,</li> <li>Or a tuple containing two elements:<ul><li>The first one is either a string or a tuple of strings and specifies for which task(s) the axis is needed</li> <li>The second one is the axis name.</li></ul></li></ul> <p>For example: <code>MANDATORY_AXES = (&quot;batch_size&quot;, &quot;sequence_length&quot;, (&quot;multiple-choice&quot;, &quot;num_choices&quot;))</code> means that
to export the model, the batch size and sequence length values always need to be specified, and that a value
for the number of possible choices is needed when the task is multiple-choice.</p></li>`,pe,b,F,me,M,ye="List containing the names of the inputs the exported model should take.",ce,$,A,de,S,Te="List containing the names of the outputs the exported model should have.",ue,y,q,fe,V,Ce=`Generates dummy inputs that the exported model should be able to process.
This method is actually used to determine the input specs that are needed for the export.`,J,D,K,d,E,ge,R,Ne="Handles encoder-based text architectures.",Q,u,z,he,U,Oe="Handles vision architectures.",W,j,ee;return O=new ve({props:{title:"Configuration classes for TFLite export",local:"configuration-classes-for-tflite-export",headingTag:"h1"}}),L=new ve({props:{title:"Base classes",local:"optimum.exporters.tflite.TFLiteConfig",headingTag:"h2"}}),w=new H({props:{name:"class optimum.exporters.tflite.TFLiteConfig",anchor:"optimum.exporters.tflite.TFLiteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.TFLiteConfig.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.exporters.tflite.TFLiteConfig.task",description:`<strong>task</strong> (<code>str</code>, defaults to <code>&quot;feature-extraction&quot;</code>) &#x2014;
The task the model should be exported for.`,name:"task"},{anchor:"optimum.exporters.tflite.TFLiteConfig.The",description:"<strong>The</strong> rest of the arguments are used to specify the shape of the inputs the model can take. &#x2014;",name:"The"},{anchor:"optimum.exporters.tflite.TFLiteConfig.They",description:"<strong>They</strong> are required or not depending on the model the <code>TFLiteConfig</code> is designed for. &#x2014;",name:"They"}],source:"https://github.com/huggingface/optimum/blob/v1.19.0/optimum/exporters/tflite/base.py#L118"}}),F=new H({props:{name:"inputs",anchor:"optimum.exporters.tflite.TFLiteConfig.inputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.19.0/optimum/exporters/tflite/base.py#L282",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A list of input names.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[str]</code></p>
`}}),A=new H({props:{name:"outputs",anchor:"optimum.exporters.tflite.TFLiteConfig.outputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.19.0/optimum/exporters/tflite/base.py#L293",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A list of output names.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>List[str]</code></p>
`}}),q=new H({props:{name:"generate_dummy_inputs",anchor:"optimum.exporters.tflite.TFLiteConfig.generate_dummy_inputs",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.19.0/optimum/exporters/tflite/base.py#L303",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A dictionary mapping input names to dummy tensors.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dict[str, tf.Tensor]</code></p>
`}}),D=new ve({props:{title:"Middle-end classes",local:"optimum.exporters.tflite.config.TextEncoderTFliteConfig",headingTag:"h2"}}),E=new H({props:{name:"class optimum.exporters.tflite.config.TextEncoderTFliteConfig",anchor:"optimum.exporters.tflite.config.TextEncoderTFliteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/optimum/blob/v1.19.0/optimum/exporters/tflite/config.py#L27"}}),z=new H({props:{name:"class optimum.exporters.tflite.config.VisionTFLiteConfig",anchor:"optimum.exporters.tflite.config.VisionTFLiteConfig",parameters:[{name:"config",val:": PretrainedConfig"},{name:"task",val:": str"},{name:"batch_size",val:": int = 1"},{name:"sequence_length",val:": typing.Optional[int] = None"},{name:"num_choices",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"},{name:"height",val:": typing.Optional[int] = None"},{name:"num_channels",val:": typing.Optional[int] = None"},{name:"feature_size",val:": typing.Optional[int] = None"},{name:"nb_max_frames",val:": typing.Optional[int] = None"},{name:"audio_sequence_length",val:": typing.Optional[int] = None"},{name:"point_batch_size",val:": typing.Optional[int] = None"},{name:"nb_points_per_image",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/optimum/blob/v1.19.0/optimum/exporters/tflite/config.py#L36"}}),{c(){c=s("meta"),B=a(),G=s("p"),Y=a(),f(O.$$.fragment),X=a(),f(L.$$.fragment),Z=a(),i=s("div"),f(w.$$.fragment),re=a(),P=s("p"),P.textContent=_e,se=a(),k=s("p"),k.textContent=be,le=a(),I=s("ul"),I.innerHTML=$e,pe=a(),b=s("div"),f(F.$$.fragment),me=a(),M=s("p"),M.textContent=ye,ce=a(),$=s("div"),f(A.$$.fragment),de=a(),S=s("p"),S.textContent=Te,ue=a(),y=s("div"),f(q.$$.fragment),fe=a(),V=s("p"),V.textContent=Ce,J=a(),f(D.$$.fragment),K=a(),d=s("div"),f(E.$$.fragment),ge=a(),R=s("p"),R.textContent=Ne,Q=a(),u=s("div"),f(z.$$.fragment),he=a(),U=s("p"),U.textContent=Oe,W=a(),j=s("p"),this.h()},l(e){const o=De("svelte-u9bgzb",document.head);c=l(o,"META",{name:!0,content:!0}),o.forEach(t),B=r(e),G=l(e,"P",{}),T(G).forEach(t),Y=r(e),g(O.$$.fragment,e),X=r(e),g(L.$$.fragment,e),Z=r(e),i=l(e,"DIV",{class:!0});var p=T(i);g(w.$$.fragment,p),re=r(p),P=l(p,"P",{"data-svelte-h":!0}),C(P)!=="svelte-1jfshjd"&&(P.textContent=_e),se=r(p),k=l(p,"P",{"data-svelte-h":!0}),C(k)!=="svelte-wz8va1"&&(k.textContent=be),le=r(p),I=l(p,"UL",{"data-svelte-h":!0}),C(I)!=="svelte-wiix9d"&&(I.innerHTML=$e),pe=r(p),b=l(p,"DIV",{class:!0});var te=T(b);g(F.$$.fragment,te),me=r(te),M=l(te,"P",{"data-svelte-h":!0}),C(M)!=="svelte-cpn9v5"&&(M.textContent=ye),te.forEach(t),ce=r(p),$=l(p,"DIV",{class:!0});var ne=T($);g(A.$$.fragment,ne),de=r(ne),S=l(ne,"P",{"data-svelte-h":!0}),C(S)!=="svelte-1bc7bh9"&&(S.textContent=Te),ne.forEach(t),ue=r(p),y=l(p,"DIV",{class:!0});var ie=T(y);g(q.$$.fragment,ie),fe=r(ie),V=l(ie,"P",{"data-svelte-h":!0}),C(V)!=="svelte-13849rf"&&(V.textContent=Ce),ie.forEach(t),p.forEach(t),J=r(e),g(D.$$.fragment,e),K=r(e),d=l(e,"DIV",{class:!0});var oe=T(d);g(E.$$.fragment,oe),ge=r(oe),R=l(oe,"P",{"data-svelte-h":!0}),C(R)!=="svelte-sreje6"&&(R.textContent=Ne),oe.forEach(t),Q=r(e),u=l(e,"DIV",{class:!0});var ae=T(u);g(z.$$.fragment,ae),he=r(ae),U=l(ae,"P",{"data-svelte-h":!0}),C(U)!=="svelte-10ord85"&&(U.textContent=Oe),ae.forEach(t),W=r(e),j=l(e,"P",{}),T(j).forEach(t),this.h()},h(){N(c,"name","hf:doc:metadata"),N(c,"content",ze),N(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),N(u,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,o){n(document.head,c),m(e,B,o),m(e,G,o),m(e,Y,o),h(O,e,o),m(e,X,o),h(L,e,o),m(e,Z,o),m(e,i,o),h(w,i,null),n(i,re),n(i,P),n(i,se),n(i,k),n(i,le),n(i,I),n(i,pe),n(i,b),h(F,b,null),n(b,me),n(b,M),n(i,ce),n(i,$),h(A,$,null),n($,de),n($,S),n(i,ue),n(i,y),h(q,y,null),n(y,fe),n(y,V),m(e,J,o),h(D,e,o),m(e,K,o),m(e,d,o),h(E,d,null),n(d,ge),n(d,R),m(e,Q,o),m(e,u,o),h(z,u,null),n(u,he),n(u,U),m(e,W,o),m(e,j,o),ee=!0},p:we,i(e){ee||(v(O.$$.fragment,e),v(L.$$.fragment,e),v(w.$$.fragment,e),v(F.$$.fragment,e),v(A.$$.fragment,e),v(q.$$.fragment,e),v(D.$$.fragment,e),v(E.$$.fragment,e),v(z.$$.fragment,e),ee=!0)},o(e){x(O.$$.fragment,e),x(L.$$.fragment,e),x(w.$$.fragment,e),x(F.$$.fragment,e),x(A.$$.fragment,e),x(q.$$.fragment,e),x(D.$$.fragment,e),x(E.$$.fragment,e),x(z.$$.fragment,e),ee=!1},d(e){e&&(t(B),t(G),t(Y),t(X),t(Z),t(i),t(J),t(K),t(d),t(Q),t(u),t(W),t(j)),t(c),_(O,e),_(L,e),_(w),_(F),_(A),_(q),_(D,e),_(E),_(z)}}}const ze='{"title":"Configuration classes for TFLite export","local":"configuration-classes-for-tflite-export","sections":[{"title":"Base classes","local":"optimum.exporters.tflite.TFLiteConfig","sections":[],"depth":2},{"title":"Middle-end classes","local":"optimum.exporters.tflite.config.TextEncoderTFliteConfig","sections":[],"depth":2}],"depth":1}';function Pe(xe){return Fe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ve extends Ae{constructor(c){super(),qe(this,c,Pe,Ee,Le,{})}}export{Ve as component};
